LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XSpellChecker1 Interface Referencepublished

`import"XSpellChecker1.idl";`

Inheritance diagram for XSpellChecker1:

## Public Member Functions
boolean | isValid ([in] string aWord, [in] short nLanguage, [in] com::sun::star::beans::PropertyValues aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
com::sun::star::linguistic2::XSpellAlternatives | spell ([in] string aWord, [in] short nLanguage, [in] com::sun::star::beans::PropertyValues aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
Public Member Functions inherited from XSupportedLanguages
sequence< short > | getLanguages ()
boolean | hasLanguage ([in] short nLanguage)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Deprecated:

## Member Function Documentation

## ◆ isValid()

boolean isValid | ( | [in] string | aWord,
|  | [in] short | nLanguage,
|  | [in] com::sun::star::beans::PropertyValues | aProperties
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

## ◆ spell()

com::sun::star::linguistic2::XSpellAlternatives spell | ( | [in] string | aWord,
|  | [in] short | nLanguage,
|  | [in] com::sun::star::beans::PropertyValues | aProperties
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XSpellChecker1.idl